//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//					   (c) 1997-2010 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	TaskPreferences.cc --- implementation of TaskPreferenceGroup
//
//	DESCRIPTION:
//		Implementation TaskPreferenceGroup class.
//
//	CHANGE HISTORY:
//		UL, 2000-10-17: 1.0.0: - first version
//
//	AUTHOR:
//		U. Lammers, Tue Oct 17 17:30:10 MET DST 2000
//
//	REFERENCES:
//		[1]: Software Specification Document for the XMM Science Analysis
//			 Subsystem, M. Dahlem et. al.,
//
//	$Header: /data/xmm12/cvsadmin/soc_repos/sas/packages/preferences/src/TaskPreferences.cc,v 1.2 2000/10/26 13:43:00 ulammers Exp $
//

#include <cstdlib>
#include "Tracer.h"
#include "FileLocator.h"
#include "TaskPreferences.h"

TaskPreferenceGroup::TaskPreferenceGroup(const string &taskName)
	: PreferenceGroup(taskName)
{
	PROC

	FileLocator locator(getenv("HOME"));
	string prefFile = locator.locate(sasPrefFileName, "", false, false);
	if (!prefFile.empty()) {
		//	preference file exists
		PreferenceInStream pin(prefFile);
		operator>>(pin, *this);
	}

	ENDPROC
} // TaskPreferenceGroup::TaskPreferenceGroup()


TaskPreferenceGroup::~TaskPreferenceGroup()
{
	PROC
	ENDPROC
} // TaskPreferenceGroup::~TaskPreferenceGroup()
