//
//	test of MenuPreferences class
//
#include <iostream>

#include <qapplication.h>
#include <qmainwindow.h>
#include <qpushbutton.h>
#include "PreferenceMenu.h"
#include "TaskPreferences.h"
#include "testguiprefs.h"

PrefDialog::PrefDialog() : QWidget()
{
	TaskPreferenceGroup root("preferences");

	_menu = new PreferenceButtonMenu(this,
									 *root.preference("selections")->group());
	connect(_menu->popup(),
			SIGNAL(preferenceValue(const string &, const PreferenceValue &)),
			this,
			SLOT(preferenceValue(const string &, const PreferenceValue &)));
}

void PrefDialog::preferenceValue(const string &origin,
								 const PreferenceValue &value)
{
	cout<<origin<<": "<<value<<endl;
}

int main(int argc, char **argv)
{
	QApplication app(argc, argv);
	PrefDialog mainWidget;
	app.setMainWidget(&mainWidget);
	mainWidget.show();

	return app.exec();
}
