//
//	simple test of Preferences class
//

#include "Preferences.h"

int main()
{
	PreferenceGroup root0;
	PreferenceGroup *root = root0.addPreferenceGroup("xmmselect");
	root->addPreference("centerpaneheight", PreferenceValue("10"));
	root->addPreference("quicklook", PreferenceValue("true"));
	PreferenceGroup *sel = root->addPreferenceGroup("selections");
	sel->addPreference("energy", PreferenceValue("PHA in [100:200]"));
	PreferenceGroup *pn = sel->addPreferenceGroup("PNselection");
	pn->addPreference("source",
					  PreferenceValue("(X, Y) in circle(100,100,10)"));
	pn->addPreference("badpix", PreferenceValue("FLAG & 0x111233 == 0"));
	PreferenceGroup *mos = sel->addPreferenceGroup("MOSselection");
	mos->addPreference("source",
					   PreferenceValue("(X, Y) in circle(110,120,30)"));
	mos->addPreference("badpix", PreferenceValue("FLAG & 0x111234 == 0"));

	//	write preference file ...
	{
		PreferenceOutStream pout("dum1.pref");
		pout<<root0;
	}

	//	... read it back in
	{
		PreferenceInStream pin("dum1.pref");
		PreferenceGroup root;
		pin>>root;
		cout<<"MOS badpix: "
			<<root.preference("xmmselect.selections.PNselection.badpix")
					->value()<<endl;

		//	... and write it back out
		PreferenceOutStream pout("dum2.pref");
		pout<<root;
	}

	return system("diff dum1.pref dum2.pref");
}
